/*
    libporty - argv splitting
    Copyright (C) 2010..2012  Tibor 'Igor2' Palinkas

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Project page: http://repo.hu/projects/libporty
    Contact (email and IRC): http://igor2.repo.hu/contact.html
*/

#include "argv.h"
#include <string.h>

int P_argv_split(char *str, int *argc, char *argv[], int maxargc, char *sep)
{
	char *curr, *next;

	str += strspn(str, sep);
	curr = str;
	for(*argc = 0; (curr != NULL) && (maxargc > 0); (*argc)++, maxargc--) {
		argv[*argc] = curr;
		next = strpbrk(curr, sep);
		if (next != NULL) {
			*next = '\0';
			next++;
			next += strspn(next, sep);
		}
		curr = next;
	}
	if (curr == NULL)
		return 0;
	return 1;
}
