/*
    c99tree - input layer, file format dispatcher
    Copyright (C) 2010-2015  Tibor Palinkas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "c99tree-cc.h"
#include "tree_load.h"

c99c_node_t *c99c_tree_load(c99tree_cc_t *ctx, const char *filename, const char *format)
{
	if (strcmp(format, "c") == 0)
		return c99c_tree_load_c(ctx, filename);
	if (strcmp(format, "ind") == 0)
		return c99c_tree_load_ind(ctx, filename);
#ifdef LOAD_XML
	if (strcmp(format, "xml") == 0)
		return c99c_tree_load_xml(ctx, filename);
#endif
	fprintf(stderr, "Error: unknown input format '%s'\n", format);
	return NULL;
}

void c99c_tree_load_cleanup(c99tree_cc_t *ctx, const char *format)
{
	if (strcmp(format, "c") == 0)
		c99c_tree_load_cleanup_c(ctx);
/*	if (strcmp(format, "ind") == 0) */
/*	if (strcmp(format, "xml") == 0) */
}

